summaryrefslogtreecommitdiff
path: root/malloc
diff options
context:
space:
mode:
authorDmitry V. Levin <ldv@altlinux.org>2012-09-24 20:52:13 +0000
committerDmitry V. Levin <ldv@altlinux.org>2012-09-25 02:48:31 +0000
commit57c69bef13298a3fbcedebf4c5fcecc690b75efb (patch)
tree9cc9d909afcb9e8b6c23697bdb48901e80d7addb /malloc
parent9a9028b1fe1519262fcbf0b7ede708d4ebbffbd7 (diff)
Set "fail on error" mode directly in testsuite shell scripts
Diffstat (limited to 'malloc')
-rw-r--r--malloc/Makefile2
-rwxr-xr-xmalloc/tst-mtrace.sh5
2 files changed, 4 insertions, 3 deletions
diff --git a/malloc/Makefile b/malloc/Makefile
index 55c675b2cd..eb909fd64c 100644
--- a/malloc/Makefile
+++ b/malloc/Makefile
@@ -109,7 +109,7 @@ ifeq (yes,$(build-shared))
ifneq ($(PERL),no)
tests: $(objpfx)tst-mtrace.out
$(objpfx)tst-mtrace.out: tst-mtrace.sh $(objpfx)tst-mtrace
- $(SHELL) -e $< $(common-objpfx)
+ $(SHELL) $< $(common-objpfx)
endif
endif
endif
diff --git a/malloc/tst-mtrace.sh b/malloc/tst-mtrace.sh
index 9ed9518db1..14b0ad480f 100755
--- a/malloc/tst-mtrace.sh
+++ b/malloc/tst-mtrace.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Testing the mtrace function.
-# Copyright (C) 2000, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1; shift
status=0